> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetchase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Meetings

> Retrieves a list of meetings scheduled within an organisation for a specified date range.

### Query Parameters

- `start_date` (`date`, optional): The start date for filtering meetings. Meetings on or after this date will be included.
- `end_date` (`date`, optional): The end date for filtering meetings. Meetings on or before this date will be included.

### Headers

- `X-API-Key`: The API key for authentication.

### Response

- Returns a list of `ExternalMeeting` objects representing each meeting within the specified date range. Each object includes details such as the meeting's start and end times, timezone, summary, status (cancelled or not), meeting link, and participant information.



## OpenAPI

````yaml GET /api/v1/meetings
openapi: 3.1.0
info:
  title: ChaseLabs API
  version: 0.1.0
servers:
  - url: https://services.meetchase.ai
security: []
paths:
  /api/v1/meetings:
    get:
      tags:
        - Public API Routes
        - Meeting Routes
      summary: Fetch Organisation Meetings Api
      description: >-
        Retrieves a list of meetings scheduled within an organisation for a
        specified date range.


        ### Query Parameters


        - `start_date` (`date`, optional): The start date for filtering
        meetings. Meetings on or after this date will be included.

        - `end_date` (`date`, optional): The end date for filtering meetings.
        Meetings on or before this date will be included.


        ### Headers


        - `X-API-Key`: The API key for authentication.


        ### Response


        - Returns a list of `ExternalMeeting` objects representing each meeting
        within the specified date range. Each object includes details such as
        the meeting's start and end times, timezone, summary, status (cancelled
        or not), meeting link, and participant information.
      operationId: fetch_organisation_meetings_api_api_v1_meetings_get
      parameters:
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: End Date
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExternalMeeting'
                title: Response Fetch Organisation Meetings Api Api V1 Meetings Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API Key: []
components:
  schemas:
    ExternalMeeting:
      properties:
        start:
          type: string
          format: date-time
          title: Start
        end:
          type: string
          format: date-time
          title: End
        id:
          type: integer
          title: Id
        exchange_id:
          type: integer
          title: Exchange Id
        campaign:
          $ref: '#/components/schemas/BaseCampaign'
        iana_timezone:
          type: string
          title: Iana Timezone
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        created_at:
          type: string
          format: date-time
          title: Created At
        cancelled:
          type: boolean
          title: Cancelled
          default: false
        meeting_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Meeting Link
        bot:
          anyOf:
            - $ref: '#/components/schemas/BaseCorrespondent'
            - type: 'null'
        contact:
          $ref: '#/components/schemas/BaseCorrespondent'
        user:
          $ref: '#/components/schemas/BaseCorrespondent'
      type: object
      required:
        - start
        - end
        - id
        - exchange_id
        - campaign
        - iana_timezone
        - summary
        - created_at
        - meeting_link
        - bot
        - contact
        - user
      title: ExternalMeeting
      examples:
        - bot:
            email: bot@example.com
            first_name: Bartholomew
            id: 1
            last_name: Fleetwood
          campaign:
            id: 1
            name: Lead Generation Campaign
          cancelled: false
          contact:
            email: contact@example.com
            first_name: Alice
            id: 1
            last_name: Blackacre
          created_at: '2024-01-21T12:00:00'
          end: '2024-01-26T13:00:00'
          exchange_id: 1
          iana_timezone: Etc/UTC
          id: 1
          meeting_link: https://example.com/meeting-link
          start: '2024-01-26T12:00:00'
          summary: 'Acme Corporation x ChaseLabs: Intro Call'
          user:
            email: user@example.com
            first_name: Robert
            id: 1
            last_name: Vaynerchuk
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BaseCampaign:
      properties:
        name:
          type: string
          maxLength: 63
          minLength: 1
          title: Name
        id:
          type: integer
          title: Id
      type: object
      required:
        - name
        - id
      title: BaseCampaign
      examples:
        - id: 1
          name: Lead Generation Campaign
    BaseCorrespondent:
      properties:
        email:
          type: string
          format: email
          title: Email
        first_name:
          anyOf:
            - type: string
              maxLength: 63
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
              maxLength: 63
            - type: 'null'
          title: Last Name
        id:
          type: integer
          title: Id
      type: object
      required:
        - email
        - id
      title: BaseCorrespondent
      description: Represents the basic contact details of a correspondent.
      examples:
        - email: alice@example.com
          first_name: Alice
          last_name: Smith
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      type: apiKey
      description: Key used to authenticate user API requests.
      in: header
      name: X-API-Key

````